/**
 * Sorter.java
 * 
 * Time-stamp: <2010-04-13 15:17:40 ftaiani>
 * @author Francois Taiani   <francois.taiani@comp.lancs.ac.uk>
 * $Id$
 * 
 */

package bubbleSort.sorter;

import java.util.*;

/**
 * @author Francois Taiani   <francois.taiani@comp.lancs.ac.uk>
 */
public class Sorter {

    protected boolean sortIteration(List<String> toBeSorted) {
        boolean listIsSorted = true ;
        for(int i = 1 ; i < toBeSorted.size(); i++) {
            String previous = toBeSorted.get(i-1).toLowerCase();
            String next     = toBeSorted.get(i)  .toLowerCase();
            if (previous.compareTo(next)>0) {
                listIsSorted = false ;
                // Particularly inefficient swap
                String temp = new String(toBeSorted.get(i-1));
                toBeSorted.set(i-1, new String(toBeSorted.get(i)));
                toBeSorted.set(i  , new String(temp)             );
            }
        } // EndFor i
        return listIsSorted;
    } // EndMethod sortIteration

    public void sortListOfString(List<String> toBeSorted) {
        while(!sortIteration(toBeSorted)) {}
    } // EndMethod sortListOfString
        
} // EndClass Sorter
