package src;

import java.awt.BorderLayout;

import javax.swing.JApplet;
import javax.swing.JPanel;

public class MainApplet extends JApplet {

	public void init() {
		// Create the main panel of the visualisation tool.
		JPanel mainPanel = new JPanel();
		mainPanel.setLayout(new BorderLayout());
		
		// Create the main graph of the profiling information.
		GraphicPanel applet = new GraphicPanel();
		applet.init();
		
		// Add the graphics to the main frame.
		JPanel graphicPanel = new JPanel();
		graphicPanel.add(applet);
		mainPanel.add(graphicPanel, BorderLayout.CENTER);
		
		// Add the control panel.
		ControlPanel controlPanel = new ControlPanel(applet);
		mainPanel.add(controlPanel, BorderLayout.EAST);
		
		mainPanel.setOpaque(true); 
	    this.setContentPane(mainPanel);   
	}
}
