package src;

import java.util.ArrayList;

public class PackageNode {
	
	public ArrayList<PackageNode> children;
	public PackageNode parent;
	
	public String name; // package name
	
	public PackageNode(String name) {
		this.name = name;
		this.children = new ArrayList<PackageNode>();
	}
	
	public void setParent(PackageNode parent) {
		this.parent = parent;
	}
	
	public void addChild(PackageNode child) {
		this.children.add(child);
	}
}
