/**
 * Force.java
 * 
 * Time-stamp: <2010-04-05 16:08:28 ftaiani>
 * @author Francois Taiani   <francois.taiani@comp.lancs.ac.uk>
 * $Id$
 * 
 */

package simulation.universe;

/**
 * @author Francois Taiani   <francois.taiani@comp.lancs.ac.uk>
 */
public class Force {

    public double x = 0, y = 0;

    public Force() {}
    
    public Force(double someX, double someY) {
        x = someX;
        y = someY;
    } // EndConstructor Force

    public Force reverseForce() {
        x = -x ;
        y = -y ;
        return this;
    } // EndMethod reverseForce

    public void addForce(Force someForce) {
        this.x+=someForce.x;
        this.y+=someForce.y;
    } // EndMethod addForce

} // EndClass Force
