/**
 * Node.java
 * 
 * Time-stamp: <2010-04-05 16:12:46 ftaiani>
 * @author Francois Taiani   <francois.taiani@comp.lancs.ac.uk>
 * $Id$
 * 
 */

package simulation.universe;

/**
 * @author Francois Taiani   <francois.taiani@comp.lancs.ac.uk>
 * A 2D node in the simulation.
 */
public class Node {

    public double x,y;
    public Force force = null ;

    public Node(double nodeX, double nodeY) {
        x = nodeX ;
        y = nodeY ;
    } // EndConstructor Node

    public void applyForce(double timeIncrement) {
        // System.out.println("Before: "+x+","+y);
        x += force.x * timeIncrement ;
        y += force.y * timeIncrement ;
        // System.out.println("After:  "+x+","+y);
    } // EndMethod applyForce

} // EndClass Node
