/**
 * OptionSet.java
 * 
 * Time-stamp: <2011-04-28 13:50:48 ftaiani>
 * @author Francois Taiani   <f.taiani@lancaster.ac.uk>
 * $Id$
 * 
 */

package src;

//import uk.co.flamingpenguin.jewel.cli.*;
import joptsimple.*;
   
/**
 * @author Francois Taiani   <f.taiani@lancaster.ac.uk>
 */
public class OptionSet
{
  joptsimple.OptionSet myOptSet ;

  public OptionSet(joptsimple.OptionSet optSet) {
    myOptSet = optSet;
  }

  boolean isAltformat()  { return          myOptSet.has    ("altformat"); }
  boolean isWindow()     { return          myOptSet.has    ("window"   ); }
  boolean isHint()       { return         !myOptSet.has    ("nohint"   ); }
  double  getPrecision() { return (Double) myOptSet.valueOf("precision"); }
  int     getSpan()      { return (Integer)myOptSet.valueOf("span"); }
  String  getTool()      { return (String) myOptSet.valueOf("tool"); }
  String  getMode()      { return (String) myOptSet.valueOf("mode"); }

  String  getHprofFile() {
    if (myOptSet.nonOptionArguments().size()==0) src.OptionParser.printHelp();
    return myOptSet.nonOptionArguments().get(0);
  }
}
