package treetable;

import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;

import src.GraphicPanel;

public class TreeTableLogGenerator {
	
	public String fileName;
	public boolean enable;
	
	public TreeTableLogGenerator(String fileName, boolean enable) {
		this.fileName = fileName;
		this.enable = enable;
	}
	
	public void log(String info) {
		
		//DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
		//Date date = new Date();
		//String timeInfo = dateFormat.format(date);
		
		long timeInfo = System.currentTimeMillis();
		try {
			FileWriter fw = new FileWriter(fileName, true);
			fw.append(info + ";Time:" + timeInfo + "\n");
			fw.flush();
			fw.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
